Name:           hardinfo2
Summary:        A System Information and Benchmark for Linux
Summary(ru_RU.UTF-8):  Системная информация и эталонный тест для Linux
Group:          System/Kernel and hardware
Version:        2.2.4
Release:        1
License:        GPLv2+
Url:            https://www.hardinfo2.org/
Source0:        https://github.com/hardinfo2/hardinfo2/archive/release-%{version}/%{name}-release-%{version}.tar.gz
Patch0:         hardinfo2-desktop-file.patch
ExclusiveArch:  x86_64
BuildRequires:  cmake
BuildRequires:  desktop-file-utils
BuildRequires:  pciutils
BuildRequires:  cmake(Qt5Core)
BuildRequires:  cmake(Qt5Gui)
BuildRequires:  cmake(Qt5Widgets)
BuildRequires:  cmake(Qt5OpenGL)
BuildRequires:  pkgconfig(cairo)
BuildRequires:  pkgconfig(cairo-png)
BuildRequires:  pkgconfig(gthread-2.0)
BuildRequires:  pkgconfig(gmodule-export-2.0)
BuildRequires:  pkgconfig(json-glib-1.0)
BuildRequires:  pkgconfig(liblzma)
BuildRequires:  pkgconfig(libsoup-3.0)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(systemd)
BuildRequires:  pkgconfig(zlib)
BuildRequires:  lm_sensors-devel
Requires:       pciutils
Recommends:     lm_sensors
Recommends:     sysbench
Recommends:     lsscsi
Recommends:     eglinfo
Recommends:     glxinfo
Recommends:     mesa-demos
Recommends:     dmidecode
Recommends:     udisks2
Recommends:     xdg-utils
Recommends:     iperf
Recommends:     fwupd
Obsoletes:      hardinfo < 0.6.0-0.git6ecebb.3
Provides:       hardinfo = %{version}-%{release}

%description
Hardinfo2 is based on hardinfo, which have not been released >10 years.
Hardinfo2 is the reboot that was needed.

Hardinfo2 offers System Information and Benchmark for Linux Systems. It is able
to obtain information from both hardware and basic software. It can benchmark
your system and compare to other machines online.

Features include:
 - Report generation (in either HTML or plain text)
 - Online Benchmarking - compare your machine against other machines

%description -l ru_RU.UTF-8
Hardinfo2 основан на hardinfo, которые не выпускались более 10 лет.
Hardinfo2 - это перезагрузка, которая была необходима.

Hardinfo2 предоставляет системную информацию и тесты для систем Linux. Он способен
получать информацию как от аппаратного, так и от базового программного обеспечения. Он может
тестировать вашу систему и сравнивать ее с другими компьютерами в режиме онлайн.

Функции включают в себя:
 - Создание отчетов (в формате HTML или обычного текста).
 - Онлайн-бенчмаркинг - сравните вашу машину с другими машинами

%files -f %{name}.lang
%license LICENSE
%doc README.md
%{_bindir}/%{name}
%{_bindir}/hwinfo2_fetch_sysdata
%{_libdir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/scalable/apps/%{name}.svg
%{_prefix}/lib/systemd/system/hardinfo2.service
%{_metainfodir}/org.%{name}.%{name}.metainfo.xml
%{_mandir}/man1/%{name}.1*
#-----------------------------------------------
%prep
%autosetup -p1 -n %{name}-release-%{version}

%build
%cmake -DCMAKE_BUILD_TYPE=Release
%make_build

%install
%make_install -C build

desktop-file-install --vendor="" \
  --set-generic-name='Hardware Information' \
  --add-category="Settings;HardwareSettings;" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/%{name}.desktop

%find_lang %{name}
